Skip to main content
GET
/
api
/
v1
/
consensus-ratings
Returns analyst ratings consensus data
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/consensus-ratings?token=' \
  --header 'accept: <accept>'
{
  "aggregate_ratings": {
    "buy": 10,
    "hold": 3,
    "sell": 1,
    "strong_buy": 5,
    "strong_sell": 0
  },
  "aggregate_type": "90D",
  "consensus_price_target": 195.5,
  "consensus_rating": "Buy",
  "consensus_rating_val": 4.2,
  "high_price_target": 225,
  "low_price_target": 150,
  "total_analyst_count": 19,
  "unique_analyst_count": 15,
  "updated_at": "2024-01-09T16:00:00Z"
}

Authorizations

token
string
query
required

Headers

accept
enum<string>
default:application/json
required

Specifies return format. Query parameters work the same for both formats

Available options:
application/json

Query Parameters

pagesize
integer

Number of results returned. Limit 1000

parameters[date_from]
string<YYYY-MM-DD>

Date to query from point in time

parameters[date_to]
string<YYYY-MM-DD>

Date to query to point in time

parameters[tickers]
string

One ticker symbol to query the aggregate for. Maximum 1 ticker

simplify
boolean
default:false

To simplify the aggregate ratings to only BUY, SELL, HOLD, default will return all ratings (STRONG_BUY, BUY, HOLD, SELL, STRONG_SELL)

aggregate_type
enum<string>
default:number

To aggregate the ratings by either number or percentage

Available options:
number,
percentage

Response

success

aggregate_ratings
object
aggregate_type
string
Example:

"90D"

consensus_price_target
number
Example:

195.5

consensus_rating
string
Example:

"Buy"

consensus_rating_val
number
Example:

4.2

high_price_target
number
Example:

225

low_price_target
number
Example:

150

total_analyst_count
integer
Example:

19

unique_analyst_count
integer
Example:

15

updated_at
string
Example:

"2024-01-09T16:00:00Z"